Package org.eclipse.mat.hprof.describer

# Class HprofContentDescriber

java.lang.Object
org.eclipse.mat.hprof.describer.HprofContentDescriber

All Implemented Interfaces:
  `IContentDescriber`

public class HprofContentDescriber extends Object implements IContentDescriber

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.content.IContentDescriber

`INDETERMINATE, INVALID, VALID`

## Constructor Summary

Constructors
Constructor
Description
`HprofContentDescriber()`

## Method Summary

Modifier and Type
Method
Description
`int`
`describe(InputStream contents, IContentDescription description)`
`QualifiedName[]`
`getSupportedOptions()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HprofContentDescriber

public HprofContentDescriber()

## Method Details

### describe

public int describe(InputStream contents, IContentDescription description) throws IOException

Specified by:
  `describe` in interface `IContentDescriber`
Throws:
  `IOException`

### getSupportedOptions

public QualifiedName[] getSupportedOptions()

Specified by:
  `getSupportedOptions` in interface `IContentDescriber`